#!/bin/bash

echo "Waiting for db..."
wait-for-it db:5432 --strict --timeout=0
echo "Waiting for redis..."
wait-for-it redis:6379 --strict --timeout=0

source venv/bin/activate
if [ $# -eq 0 ]; then
    flask deploy
    python nopaque.py
elif [ $1 == "flask" ]; then
    flask ${@:2}
else
    echo "$0 [flask [options]]"
fi
